Обновление до vCenter 6.5 встаёт из-за отсутствия pgpass.conf

При попытке обновления до vCenter 6.5 со встроенной СУБД PostgreSQL установщик встаёт из-за отсутствия pgpass.conf

Поиск в базе знаний приводит к статье Upgrading to vCenter Server 6.5 fails during pre-check with error: «FATAL: password authentication failed for user «postgres»», которая говорит, что файл ищите в %appdata%\postgresql\pgpass.conf.

Проблема в том, что данный файлик создаётся в пользовательском профиле, соответственно, при удалении профиля либо запуском установщика под другим администратором файлик не обнаруживается.

Поэтому создадим файл сами.

Формат файла берём из документации по PostgreSQL — The Password File:

hostname:port:database:username:password

Из файла C:\ProgramData\VMware\vCenterServer\cfg\vmware-vpx\vcdb.properties берем адрес и порт, которые слушает СУБД (localhost:5432), имя пользователя (vc), название БД (VCDB либо *) и копируем пароль.

Файл размещаем в профиле либо в системном каталоге.

Запись опубликована в рубрике 6.0, 6.5, 6.7, VMware, vSphere, Советы. Добавьте в закладки постоянную ссылку.

Добавить комментарий

Ваш e-mail не будет опубликован. Обязательные поля помечены *